PROGRAM LCDM;

DEVICE = MEGA644P;

{$I MEGA644P_Register.INC}


CONST

  // Frequenz = 20.000 MHz
  UBRR_VAL : WORD = 32;  // 38400 Baud
//  UBRR_VAL : WORD = 21;  // 57600 Baud
//  UBRR_VAL : WORD = 10;  // 115200 Baud



VAR

{
A0 - Frame    - A -> L
A1 - Load     - A -> L
A2 - CP       - A -> L
A3 - Disp_off - A -> H
A7 - LED_GR   - A -> L
}
  Frame[PortA,0]    : bit;
  Load[PortA,1]     : bit;
  CP[PortA,2]       : bit;
  Disp_off[PortA,3] : bit;
  LED_GR[PortA, 7]  : bit;



{$I SYSTEM.INC}




// *** INITIALISIERUNG ***


procedure InitPorts;
begin

{
A0 - Frame    - A -> L
A1 - Load     - A -> L
A2 - CP       - A -> L
A3 - Disp_off - A -> H
A7 - LED_GR   - A -> L
}
  //       AEEEAAAA
  DDRA:=  %10001111;

  // PORT B Voreinstellungen
  PORTA:= %00001000;



{
PB0..PB3 = Daten = D0..D3
}
  // PORT B Voreinstellungen
  PortB:= %00000000;

  //       EEEEEEEE
  DDRB:=  %00000000;



end InitPorts;





BEGIN


ASM;

.equ UBRR0 = UBRR0L

ENDASM;


  InitPorts;


  loop


    SetBit(LED_GR);

    wait_ms(500);

    ClearBit(LED_GR);

    wait_ms(500);


  endloop;





END LCDM.
